## qterminal 0.6.0+20160104

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(qterminal)

include(GNUInstallDirs)

set(STR_VERSION "0.6.0")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# we need qpa/qplatformnativeinterface.h for global shortcut
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
if(APPLE)
elseif(UNIX)
    find_package(Qt5X11Extras REQUIRED)
endif()
find_package(QTermWidget5 REQUIRED)
message(STATUS "Qt version: ${Qt5Core_VERSION_STRING}")

include(${QTERMWIDGET_USE_FILE})

# TODO remove Qxt
message(STATUS "Using bundled Qxt...")
set(QXT_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src/third-party")


if(APPLE)
   find_library(CARBON_LIBRARY Carbon REQUIRED)
   message(STATUS "CARBON_LIBRARY: ${CARBON_LIBRARY}")
elseif(UNIX)
   find_package(X11 REQUIRED)
   message(STATUS "X11_X11_LIB: ${X11_X11_LIB}")
endif()

add_definitions(-DSTR_VERSION=\"${STR_VERSION}\")
add_definitions(${Qt5X11Extras_DEFINITIONS})


set(EXE_NAME qterminal)

set(QTERM_SRC
    src/main.cpp
    src/mainwindow.cpp
    src/tabwidget.cpp
    src/termwidget.cpp
    src/termwidgetholder.cpp
    src/properties.cpp
    src/propertiesdialog.cpp
    src/bookmarkswidget.cpp
    src/fontdialog.cpp
)

set(QTERM_MOC_SRC
    src/mainwindow.h
    src/tabwidget.h
    src/termwidget.h
    src/termwidgetholder.h
    src/propertiesdialog.h
    src/bookmarkswidget.h
    src/fontdialog.h
)

if(NOT QXT_FOUND)
    set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut.cpp)
    set(QTERM_MOC_SRC ${QTERM_MOC_SRC} src/third-party/qxtglobalshortcut.h)

    if(WIN32)
        set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut_win.cpp)
    elseif(APPLE)
        set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut_mac.cpp)
    else()
        set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut_x11.cpp)
    endif()
endif()

set(QTERM_UI_SRC
    src/forms/qterminal.ui
    src/forms/propertiesdialog.ui
    src/forms/bookmarkswidget.ui
    src/forms/fontdialog.ui
)

set(QTERM_RCC_SRC
    src/icons.qrc
)

set(QTERM_TS
    src/translations/qterminal_cs.ts
    src/translations/qterminal_de.ts
    src/translations/qterminal_el.ts
    src/translations/qterminal_es.ts
    src/translations/qterminal_et.ts
    src/translations/qterminal_it.ts
    src/translations/qterminal_pt.ts
    src/translations/qterminal_hu.ts
    src/translations/qterminal_ru.ts
    src/translations/qterminal_ja.ts
    src/translations/qterminal_zh_CN.ts
)

qt5_wrap_ui( QTERM_UI ${QTERM_UI_SRC} )
qt5_wrap_cpp( QTERM_MOC ${QTERM_MOC_SRC} )
qt5_add_resources( QTERM_RCC ${QTERM_RCC_SRC} )
qt5_add_translation( QTERM_QM ${QTERM_TS} )

include_directories(
    "${CMAKE_SOURCE_DIR}"
    "${CMAKE_SOURCE_DIR}/src"
    "${CMAKE_BINARY_DIR}"
    ${QTERMWIDGET_INCLUDE_DIRS}
    ${QXT_INCLUDE_DIRS}
)
if(X11_FOUND)
    include_directories("${X11_INCLUDE_DIR}")
endif()


# TODO/FIXME: apple bundle
set(GUI_TYPE "")
set(APPLE_BUNDLE_SOURCES "")
if(APPLEBUNDLE)
    add_definitions(-DAPPLE_BUNDLE)
    set(GUI_TYPE MACOSX_BUNDLE)

    # create Info.plist file
    set(MACOSX_BUNDLE_ICON_FILE qterminal.icns)
    set(MACOSX_BUNDLE_INFO_STRING "QTerminal ${STR_VERSION}")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "com.qterminal")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${STR_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_NAME "${EXE_NAME}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${STR_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${STR_VERSION}")
    set(MACOSX_BUNDLE_COPYRIGHT "(c) Petr Vanek &lt;petr@yarpen.cz&gt;")

    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns"
        PROPERTIES MACOSX_PACKAGE_LOCATION Resources
    )
    # use icon for app bundle to be visible in finder
    set(APPLE_BUNDLE_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns")
else()
    set(TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/qterminal/translations")
    add_definitions(-DTRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\")
endif()

add_executable(${EXE_NAME} ${GUI_TYPE}
    ${QTERM_SRC}
    ${QTERM_UI}
    ${QTERM_MOC}
    ${QTERM_RCC}
    ${APPLE_BUNDLE_SOURCES}
    ${QTERM_QM}
)
target_link_libraries(${EXE_NAME}
    ${QTERMWIDGET_QT_LIBRARIES}
    ${QTERMWIDGET_LIBRARIES}
    util
)
if(QXT_FOUND)
    target_link_libraries(${EXE_NAME} ${QXT_CORE_LIB} ${QXT_GUI_LIB})
endif()

if(APPLE)
    target_link_libraries(${EXE_NAME} ${CARBON_LIBRARY})
elseif(UNIX)
    target_link_libraries(${EXE_NAME} Qt5::X11Extras)
endif()

if(X11_FOUND)
    target_link_libraries(${EXE_NAME} ${X11_X11_LIB})
endif()


install(FILES
    qterminal.desktop
    qterminal_drop.desktop
    DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
)

install(FILES
    qterminal.appdata.xml
    DESTINATION "${CMAKE_INSTALL_DATADIR}/appdata"
)

if(NOT APPLEBUNDLE)
    install(TARGETS ${EXE_NAME} RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
    install(FILES ${QTERM_QM} DESTINATION ${TRANSLATIONS_DIR})
    install(FILES src/icons/qterminal.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps")
else()
    message(STATUS "APPLEBUNDLE")

    install(CODE "message(STATUS \"Cleaning previously installed bundle (rm -r)\")")
    install(CODE "execute_process(COMMAND rm -r ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app)")

    install(TARGETS ${EXE_NAME} DESTINATION "${CMAKE_INSTALL_PREFIX}")

    # helper stuff to create real apple bundle.
    # Black magic is summoned here...
    if(APPLEBUNDLE_STANDALONE)
        message(STATUS "APPLEBUNDLE_STANDALONE")
        configure_file("${CMAKE_SOURCE_DIR}/bundle.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake" @ONLY)
        install(SCRIPT "${CMAKE_SOURCE_DIR}/bundle.cmake")
    endif()

    # bundle required keytabs from the qtermwidget package as well
    install(CODE "message(STATUS \"Bundling (cp) keytab files from ${QTERMWIDGET_SHARE}/qtermwidget/\")")
    install(CODE "execute_process(COMMAND cp -r ${QTERMWIDGET_SHARE}/qtermwidget/ ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources)")

    install(FILES ${QTERM_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/translations)
endif()


# make lupdate
# it generates new translation files
add_custom_target(lupdate
    ${QT_QMAKE_EXECUTABLE} -project -o "${CMAKE_CURRENT_BINARY_DIR}/qterminal.pro"
    COMMAND ${QT_LUPDATE_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/qterminal.pro"
    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
)

# make dist custom target
set(CPACK_PACKAGE_NAME "qterminal")
set(CPACK_PACKAGE_VERSION ${STR_VERSION})
set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_IGNORE_FILES "/CVS/;/\\\\.svn/;/\\\\.git/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;/CMakeFiles/;CMakeCache.txt;\\\\.qm$;/build/;\\\\.diff$;.DS_Store'")
set(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
include(CPack)
# simulate autotools' "make dist"
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

## qterminal 0.6.0%2B20160104

=== debian/changelog ===
qterminal (0.6.0+20160104-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 0.6.0+20160104.
  * Fixed copyright for 2016, added Peter Mattern 
  * Fixed 'possible-unindented-list-in-extended-description'

  [ Peter Mattern ]
  * Adjust control file

 -- Alf Gaida <agaida@siduction.org>  Mon, 11 Jan 2016 21:24:39 +0100

qterminal (0.6.0+20151227-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.6.0+20151227.
  * Removed dbg package in favor of dbgsym.
  * Fixied debian/docs
  * Simplifed debian/rules
  * Renamed debian/qterminal.manpages to debian/manpages

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 17:57:04 +0100

qterminal (0.6.0+20150802-2) unstable; urgency=medium

  * Change x-terminal-emulator alternative priority to 40. (Closes: #802430)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 20 Oct 2015 20:41:43 +0800

qterminal (0.6.0+20150802-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian packaging
  * improvements in debian $foo
  * Cherry-picking upstream version 0.6.0+20150802.
  * Changed mail address czchen

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.6.0.

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release (Closes: #741173)
  * Cleanup debian $foo:
    - Add qterminal-dbg
    - Add watch
    - Add qterminal manpage
    - Add local-options
    - Update control
    - Install manpage
    - Remove lintian-overrides
    - Update description
    - Update copyright
    - Update rules, add linker flags

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Sep 2015 10:14:08 +0800

=== debian/control ===
Source: qterminal
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libqtermwidget5-0-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qterminal.git
Homepage: https://github.com/lxde/qterminal

Package: qterminal
Provides: x-terminal-emulator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Lightweight Qt terminal emulator
 QTerminal is a lightwight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

## qterminal 0.6.0+20160104

=== debian/watch ===
version=3
https://github.com/qterminal/qterminal/releases .*/v?(\d\S*)/qterminal-(?:\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## qterminal 0.6.1~102

=== CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,7 @@
     src/translations/qterminal_ru.ts
     src/translations/qterminal_ja.ts
     src/translations/qterminal_zh_CN.ts
+    src/translations/qterminal_pt_BR.ts
 )
 
 qt5_wrap_ui( QTERM_UI ${QTERM_UI_SRC} )

## qterminal 0.6.1~102-g58f4f72

=== debian/changelog ===
qterminal (0.6.1~102-g58f4f72-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.6.1~102-g58f4f72.
  * Fixed debian/.gitignore
  * Added minimum versions for libqtermwidget5-0-dev (>= 0.6.1~)
  * Bump Standards to 3.9.8, no changes needed
  * Fixed VCS-fields, using https and plain /git/
  * Fixed copyright Format to https
  * Added LC_ALL=C.UTF-8 to rules for reproducible builds
  * Added hardening options
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Sat, 06 Aug 2016 16:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cmake (>= 3.0.2),
-               libqtermwidget5-0-dev,
+               libqtermwidget5-0-dev (>= 0.6.1~),
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qterminal.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git -b debian/sid
 Homepage: https://github.com/lxde/qterminal
 
 Package: qterminal

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake\
		--parallel

override_dh_auto_configure:
	dh_auto_configure --\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qterminal 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,31 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
 
 project(qterminal)
 
 include(GNUInstallDirs)
 
-set(STR_VERSION "0.6.0")
-
+set(STR_VERSION "0.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.3.0")
+
+
+# additional cmake files
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+include(CheckCXXCompilerFlag)
+CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
+if(COMPILER_SUPPORTS_CXX11)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+elseif(COMPILER_SUPPORTS_CXX0X)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+else()
+    message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
+endif()
 
 # we need qpa/qplatformnativeinterface.h for global shortcut
 find_package(Qt5Gui REQUIRED)
@@ -18,6 +36,8 @@
     find_package(Qt5X11Extras REQUIRED)
 endif()
 find_package(QTermWidget5 REQUIRED)
+find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+include(LXQtTranslateTs)
 message(STATUS "Qt version: ${Qt5Core_VERSION_STRING}")
 
 include(${QTERMWIDGET_USE_FILE})
@@ -87,25 +107,20 @@
     src/icons.qrc
 )
 
-set(QTERM_TS
-    src/translations/qterminal_cs.ts
-    src/translations/qterminal_de.ts
-    src/translations/qterminal_el.ts
-    src/translations/qterminal_es.ts
-    src/translations/qterminal_et.ts
-    src/translations/qterminal_it.ts
-    src/translations/qterminal_pt.ts
-    src/translations/qterminal_hu.ts
-    src/translations/qterminal_ru.ts
-    src/translations/qterminal_ja.ts
-    src/translations/qterminal_zh_CN.ts
-    src/translations/qterminal_pt_BR.ts
-)
-
 qt5_wrap_ui( QTERM_UI ${QTERM_UI_SRC} )
 qt5_wrap_cpp( QTERM_MOC ${QTERM_MOC_SRC} )
 qt5_add_resources( QTERM_RCC ${QTERM_RCC_SRC} )
-qt5_add_translation( QTERM_QM ${QTERM_TS} )
+lxqt_translate_ts(QTERM_QM
+    TRANSLATION_DIR "src/translations"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+)
 
 include_directories(
     "${CMAKE_SOURCE_DIR}"
@@ -220,14 +235,3 @@
     COMMAND ${QT_LUPDATE_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/qterminal.pro"
     WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
 )
-
-# make dist custom target
-set(CPACK_PACKAGE_NAME "qterminal")
-set(CPACK_PACKAGE_VERSION ${STR_VERSION})
-set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
-set(CPACK_IGNORE_FILES "/CVS/;/\\\\.svn/;/\\\\.git/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;/CMakeFiles/;CMakeCache.txt;\\\\.qm$;/build/;\\\\.diff$;.DS_Store'")
-set(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
-include(CPack)
-# simulate autotools' "make dist"
-add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== debian/changelog ===
qterminal (0.7.1-3) unstable; urgency=medium

  * Bumped Standards to 4.1.0 - no changes needed
  * Fixed d/control with cme
  * Close slowness bug, not reproducible anymore (Closes: #853220) 

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Sep 2017 17:55:33 +0200

qterminal (0.7.1-2) unstable; urgency=medium

  * Fixed appdata format and location
  * Bumped Standards to 4.0.0, no changes needed
  * Bumpded copyright year

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 Aug 2017 21:54:04 +0200

qterminal (0.7.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.7.1
  * Bumped minimum version libqtermwidget5-0-dev (>= 0.7.1)
  * Removed build dependencies:
    - cmake
    - liblxqt0-dev
    - libqt5xdg-dev
    - qttools5-dev
    - qttools5-dev-tools
  * Added build dependency lxqt-build-tools

 -- Alf Gaida <agaida@siduction.org>  Thu, 22 Dec 2016 00:35:57 +0100

qterminal (0.7.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.7.0
  * Sync debian foo with experimental
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libqtermwidget5-0-dev (>= 0.7.0)
  * Added build dependency libkf5windowsystem-dev
  * Added build dependency liblxqt0-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdg-dev (>= 3.0.0)
  * Added Recommends qterminal-l10n
  * Fixed VCS fields, using https, plain /git/ and pointing to the right branch
  * Fixed copyright Format field, using https
  * Exported LC_ALL=C.UTF-8, make builds reproducible 
  * Added hardening options
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 20:59:13 +0200

=== debian/control ===
Source: qterminal
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               libqtermwidget5-0-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools,
               qtbase5-private-dev
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git -b debian/sid
Homepage: https://github.com/lxde/qterminal

Package: qterminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightwight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

## qterminal 0.8.0

=== debian/changelog ===
qterminal (0.8.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 17:56:14 +0100

qterminal (0.8.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 19:14:51 +0100

qterminal (0.8.0-2) experimental; urgency=medium

  * Patched appdata and metainfo-path again 

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 03:00:28 +0100

qterminal (0.8.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.8.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped libqtermwidget5-0-dev to >= 0.8.0 
  * Added dependency libutf8proc-dev
  * Bumped lxqt-build-tools to >= 0.4.0
  * Fixed copyright
  * Dropped appdata-patch, applied upstream

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 01:47:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               libqtermwidget5-0-dev,
+               libqtermwidget5-0-dev (>= 0.8.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
+               libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools,
+               lxqt-build-tools (>= 0.4.0),
                qtbase5-private-dev
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git
 Homepage: https://github.com/lxde/qterminal
 
 Package: qterminal

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake\
-		--parallel
+	dh ${@} --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure --\
+		-DPULL_TRANSLATIONS=OFF\
+		-DUPDATE_TRANSLATIONS=OFF\
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/qterminal/releases .*/qterminal-([\d\.]+).tar.xz

## qterminal 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,27 +4,15 @@
 
 include(GNUInstallDirs)
 
-set(STR_VERSION "0.7.1")
-set(LXQTBT_MINIMUM_VERSION "0.3.0")
-
-
-# additional cmake files
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
-set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
+# qterminal version
+set(STR_VERSION "0.9.0")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
+set(QTERMWIDGET_MINIMUM_VERSION "0.9.0")
+
+option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
-endif()
-
-include(CheckCXXCompilerFlag)
-CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
-if(COMPILER_SUPPORTS_CXX11)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-elseif(COMPILER_SUPPORTS_CXX0X)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-else()
-    message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
 endif()
 
 # we need qpa/qplatformnativeinterface.h for global shortcut
@@ -34,13 +22,15 @@
 if(APPLE)
 elseif(UNIX)
     find_package(Qt5X11Extras REQUIRED)
-endif()
-find_package(QTermWidget5 REQUIRED)
+    find_package(Qt5DBus)
+endif()
+find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+
+include(LXQtPreventInSourceBuilds)
 include(LXQtTranslateTs)
-message(STATUS "Qt version: ${Qt5Core_VERSION_STRING}")
-
-include(${QTERMWIDGET_USE_FILE})
+include(LXQtCompilerSettings NO_POLICY_SCOPE)
+message(STATUS "Qt version: ${Qt5Core_VERSION}")
 
 # TODO remove Qxt
 message(STATUS "Using bundled Qxt...")
@@ -55,26 +45,32 @@
    message(STATUS "X11_X11_LIB: ${X11_X11_LIB}")
 endif()
 
-add_definitions(-DSTR_VERSION=\"${STR_VERSION}\")
-add_definitions(${Qt5X11Extras_DEFINITIONS})
-
+add_definitions(
+    -DSTR_VERSION=\"${STR_VERSION}\"
+    -DQT_NO_FOREACH
+)
 
 set(EXE_NAME qterminal)
 
 set(QTERM_SRC
     src/main.cpp
     src/mainwindow.cpp
+    src/tabbar.cpp
     src/tabwidget.cpp
     src/termwidget.cpp
     src/termwidgetholder.cpp
+    src/terminalconfig.cpp
     src/properties.cpp
     src/propertiesdialog.cpp
     src/bookmarkswidget.cpp
     src/fontdialog.cpp
+    src/dbusaddressable.cpp
 )
 
 set(QTERM_MOC_SRC
+    src/qterminalapp.h
     src/mainwindow.h
+    src/tabbar.h
     src/tabwidget.h
     src/termwidget.h
     src/termwidgetholder.h
@@ -82,6 +78,17 @@
     src/bookmarkswidget.h
     src/fontdialog.h
 )
+
+
+if (Qt5DBus_FOUND)
+    add_definitions(-DHAVE_QDBUS)
+    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Window.xml mainwindow.h MainWindow)
+    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Tab.xml termwidgetholder.h TermWidgetHolder)
+    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Terminal.xml termwidget.h TermWidget)
+    QT5_ADD_DBUS_ADAPTOR(QTERM_SRC src/org.lxqt.QTerminal.Process.xml qterminalapp.h QTerminalApp)
+    set(QTERM_MOC_SRC ${QTERM_MOC_SRC} src/dbusaddressable.h)
+    message(STATUS "Building with Qt5DBus support")
+endif()
 
 if(NOT QXT_FOUND)
     set(QTERM_SRC ${QTERM_SRC} src/third-party/qxtglobalshortcut.cpp)
@@ -111,6 +118,12 @@
 qt5_wrap_cpp( QTERM_MOC ${QTERM_MOC_SRC} )
 qt5_add_resources( QTERM_RCC ${QTERM_RCC_SRC} )
 lxqt_translate_ts(QTERM_QM
+    UPDATE_TRANSLATIONS
+        ${UPDATE_TRANSLATIONS}
+    SOURCES
+        ${QTERM_SRC}
+        ${QTERM_UI_SRC}
+        ${QTERM_MOC_SRC}
     TRANSLATION_DIR "src/translations"
     PULL_TRANSLATIONS
         ${PULL_TRANSLATIONS}
@@ -123,10 +136,9 @@
 )
 
 include_directories(
-    "${CMAKE_SOURCE_DIR}"
-    "${CMAKE_SOURCE_DIR}/src"
-    "${CMAKE_BINARY_DIR}"
-    ${QTERMWIDGET_INCLUDE_DIRS}
+    "${PROJECT_SOURCE_DIR}"
+    "${PROJECT_SOURCE_DIR}/src"
+    "${PROJECT_BINARY_DIR}"
     ${QXT_INCLUDE_DIRS}
 )
 if(X11_FOUND)
@@ -170,12 +182,16 @@
     ${QTERM_QM}
 )
 target_link_libraries(${EXE_NAME}
-    ${QTERMWIDGET_QT_LIBRARIES}
-    ${QTERMWIDGET_LIBRARIES}
+    Qt5::Gui
+    qtermwidget5
     util
 )
 if(QXT_FOUND)
     target_link_libraries(${EXE_NAME} ${QXT_CORE_LIB} ${QXT_GUI_LIB})
+endif()
+
+if (Qt5DBus_FOUND)
+    target_link_libraries(${EXE_NAME} ${Qt5DBus_LIBRARIES})
 endif()
 
 if(APPLE)
@@ -226,12 +242,3 @@
 
     install(FILES ${QTERM_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/translations)
 endif()
-
-
-# make lupdate
-# it generates new translation files
-add_custom_target(lupdate
-    ${QT_QMAKE_EXECUTABLE} -project -o "${CMAKE_CURRENT_BINARY_DIR}/qterminal.pro"
-    COMMAND ${QT_LUPDATE_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/qterminal.pro"
-    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
-)

=== debian/changelog ===
qterminal (0.9.0-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:18:11 -0700

qterminal (0.9.0-3) unstable; urgency=medium

  * Fixed typo in long description
    Nice catch, thanks annadane <fjfj109@protonmail.com>
    (Closes: #901565)

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Jun 2018 00:50:09 +0200

qterminal (0.9.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.9.0.
  * Bumped build dependency libqtermwidget5-0-dev to >= 0.9.0~
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Removed not needed build dependency qtbase5-private-dev
  * Refreshed metadata patch

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 01:56:48 +0200

qterminal (0.8.0-5) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 19:20:40 +0200

=== debian/control ===
Source: qterminal
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libkf5windowsystem-dev,
               libqtermwidget5-0-dev (>= 0.9.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.5.0~),
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal

Package: qterminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

## qterminal 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,31 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(qterminal)
 
 include(GNUInstallDirs)
 
 # qterminal version
-set(STR_VERSION "0.9.0")
-set(LXQTBT_MINIMUM_VERSION "0.5.0")
-set(QTERMWIDGET_MINIMUM_VERSION "0.9.0")
+set(QTERMINAL_VERSION "0.14.1")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
-
 # we need qpa/qplatformnativeinterface.h for global shortcut
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-if(APPLE)
-elseif(UNIX)
-    find_package(Qt5X11Extras REQUIRED)
-    find_package(Qt5DBus)
+
+# Minimum Versions
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
+set(QTERMWIDGET_MINIMUM_VERSION "0.14.1")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+if(UNIX)
+    find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
+    find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 endif()
 find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -46,8 +49,7 @@
 endif()
 
 add_definitions(
-    -DSTR_VERSION=\"${STR_VERSION}\"
-    -DQT_NO_FOREACH
+    -DQTERMINAL_VERSION=\"${QTERMINAL_VERSION}\"
 )
 
 set(EXE_NAME qterminal)
@@ -65,6 +67,7 @@
     src/bookmarkswidget.cpp
     src/fontdialog.cpp
     src/dbusaddressable.cpp
+    src/tab-switcher.cpp
 )
 
 set(QTERM_MOC_SRC
@@ -77,8 +80,8 @@
     src/propertiesdialog.h
     src/bookmarkswidget.h
     src/fontdialog.h
-)
-
+    src/tab-switcher.h
+)
 
 if (Qt5DBus_FOUND)
     add_definitions(-DHAVE_QDBUS)
@@ -125,14 +128,6 @@
         ${QTERM_UI_SRC}
         ${QTERM_MOC_SRC}
     TRANSLATION_DIR "src/translations"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
 
 include_directories(
@@ -155,12 +150,12 @@
 
     # create Info.plist file
     set(MACOSX_BUNDLE_ICON_FILE qterminal.icns)
-    set(MACOSX_BUNDLE_INFO_STRING "QTerminal ${STR_VERSION}")
+    set(MACOSX_BUNDLE_INFO_STRING "QTerminal ${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_GUI_IDENTIFIER "com.qterminal")
-    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${STR_VERSION}")
+    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_BUNDLE_NAME "${EXE_NAME}")
-    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${STR_VERSION}")
-    set(MACOSX_BUNDLE_BUNDLE_VERSION "${STR_VERSION}")
+    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${QTERMINAL_VERSION}")
+    set(MACOSX_BUNDLE_BUNDLE_VERSION "${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_COPYRIGHT "(c) Petr Vanek &lt;petr@yarpen.cz&gt;")
 
     set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns"
@@ -181,6 +176,16 @@
     ${APPLE_BUNDLE_SOURCES}
     ${QTERM_QM}
 )
+
+target_compile_definitions(${EXE_NAME}
+    PRIVATE
+        "QT_USE_QSTRINGBUILDER"
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
+)
+
 target_link_libraries(${EXE_NAME}
     Qt5::Gui
     qtermwidget5

=== src/translations/CMakeLists.txt ===
project(qterminal)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/qterminal/translations")

=== debian/changelog ===
qterminal (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.1.
  * Bumped minimum versions libqtermwidget5-0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 03:09:41 +0100

qterminal (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Added CC0 for qterminal.appdata.xml
  * Bumped minimum versions libqtermwidget5-0-dev (>= 0.14.0~)
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 22:06:09 +0100

=== debian/control ===
Source: qterminal
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libqtermwidget5-0-dev (>= 0.14.1~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.6.0~),
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal

Package: qterminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: qterminal (<< 0.6.1)
Replaces: qterminal (<< 0.6.1)
Description: Language package for qterminal
 This package contains the l10n files needed by the qterminal.

## qterminal 0.15.0

=== debian/changelog ===
qterminal (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper-compat.
  * Update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:24:55 -0500

qterminal (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.
  * Drop fix-memory-api.patch, which causes crashes.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 15:56:11 -0600

qterminal (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add new qterminal-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 01:12:04 -0600

qterminal (0.9.0-3ubuntu3) cosmic; urgency=medium

  * The preferences menu should never be larger than the screen (LP: #1784198).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 29 Jul 2018 15:04:10 -0500

qterminal (0.9.0-3ubuntu2) cosmic; urgency=medium

  * Remember the maximization state of the window (LP: #1754496).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Jul 2018 05:25:18 -0500

qterminal (0.9.0-3ubuntu1) cosmic; urgency=medium

  * Update the maintainer and Vcs-* for maintaining in Lubuntu.
  * Add patch adapting to API changes in qtermwidget, and bump the
    dependencies accordingly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 10 Jul 2018 22:34:17 -0500

=== debian/control ===
Source: qterminal
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqtermwidget5-0-dev (>= 0.15.0),
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.7.0)
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/qterminal/
Vcs-Git: https://phab.lubuntu.me/source/qterminal.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal

Package: qterminal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.

Package: qterminal-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: qterminal (<< 0.6.1)
Replaces: qterminal (<< 0.6.1)
Description: Language package for qterminal
 This package contains the l10n files needed by qterminal.

## qterminal 0.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,23 +9,29 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "0.14.1")
+set(QTERMINAL_VERSION "0.16.1")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
+if(APPLE)
+    option(APPLEBUNDLE "Build as qterminal.app bundle" ON)
+endif()
+
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QTERMWIDGET_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QTERMWIDGET_MINIMUM_VERSION "0.16.1")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 if(UNIX)
     find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
-    find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+    if (NOT APPLE)
+        find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+    endif (NOT APPLE)
 endif()
 find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -158,11 +164,11 @@
     set(MACOSX_BUNDLE_BUNDLE_VERSION "${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_COPYRIGHT "(c) Petr Vanek &lt;petr@yarpen.cz&gt;")
 
-    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns"
+    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/src/macosx/qterminal.icns"
         PROPERTIES MACOSX_PACKAGE_LOCATION Resources
     )
     # use icon for app bundle to be visible in finder
-    set(APPLE_BUNDLE_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns")
+    set(APPLE_BUNDLE_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/src/macosx/qterminal.icns")
 else()
     set(TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/qterminal/translations")
     add_definitions(-DTRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\")
@@ -177,15 +183,6 @@
     ${QTERM_QM}
 )
 
-target_compile_definitions(${EXE_NAME}
-    PRIVATE
-        "QT_USE_QSTRINGBUILDER"
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
-)
-
 target_link_libraries(${EXE_NAME}
     Qt5::Gui
     qtermwidget5
@@ -226,7 +223,7 @@
     install(FILES ${QTERM_QM} DESTINATION ${TRANSLATIONS_DIR})
     install(FILES src/icons/qterminal.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps")
 else()
-    message(STATUS "APPLEBUNDLE")
+    message(STATUS "Building qterminal.app bundle")
 
     install(CODE "message(STATUS \"Cleaning previously installed bundle (rm -r)\")")
     install(CODE "execute_process(COMMAND rm -r ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app)")
@@ -245,5 +242,10 @@
     install(CODE "message(STATUS \"Bundling (cp) keytab files from ${QTERMWIDGET_SHARE}/qtermwidget/\")")
     install(CODE "execute_process(COMMAND cp -r ${QTERMWIDGET_SHARE}/qtermwidget/ ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources)")
 
-    install(FILES ${QTERM_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/translations)
-endif()
+    install(FILES ${QTERM_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources/translations)
+
+    # Workaround https://bugreports.qt.io/browse/QTBUG-63324
+    add_custom_command(TARGET ${EXE_NAME} POST_BUILD
+        COMMAND "${CMAKE_COMMAND}" -E touch "${CMAKE_CURRENT_BINARY_DIR}/${EXE_NAME}.app/Contents/Resources/empty.lproj"
+        COMMENT "Creating Resources/empty.lproj")
+endif()

=== debian/changelog ===
qterminal (0.16.1-1ubuntu1) hirsute; urgency=low

  [ Raman Sarda ]
  * New upstream version. Merge from debian unstable.
  * Tighten debhelper-compat requirement.
  * Updated copyrights.
  * Updated upstream signing key.
  * Added upstream metadata.
  * Updated upstream patch.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 01:50:32 +0530

qterminal (0.16.1-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Update debian/upstream/signing-key.asc
  * New upstream version 0.16.1. Closes: #959963
  * Refresh patch
  * Update minimal required versions of libqtermwidget5-0-dev and
    lxqt-build-tools
  * Bump Standard-Version to 4.5.0

  [ Raphaël Hertzog ]
  * Refer to common license file for CC0-1.0.
  * Fix field name typo in debian/upstream/metadata (Repository-Browser =>
    Repository-Browse).
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 16 Dec 2020 15:06:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
+               libqtermwidget5-0-dev (>= 0.16.1~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqtermwidget5-0-dev (>= 0.15.0),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.7.0)
+               lxqt-build-tools (>= 0.8.0~)
 Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/qterminal/
 Vcs-Git: https://phab.lubuntu.me/source/qterminal.git

## qterminal 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "0.16.1")
+set(QTERMINAL_VERSION "0.17.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
@@ -20,8 +20,8 @@
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
-set(QTERMWIDGET_MINIMUM_VERSION "0.16.1")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(QTERMWIDGET_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
@@ -38,6 +38,7 @@
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtTranslateTs)
+include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 message(STATUS "Qt version: ${Qt5Core_VERSION}")
 
@@ -136,6 +137,14 @@
     TRANSLATION_DIR "src/translations"
 )
 
+lxqt_translate_desktop(DESKTOP_FILES
+    SOURCES
+        qterminal.desktop.in
+        qterminal-drop.desktop.in
+    TRANSLATION_DIR "src/translations"
+    USE_YAML
+)
+
 include_directories(
     "${PROJECT_SOURCE_DIR}"
     "${PROJECT_SOURCE_DIR}/src"
@@ -181,6 +190,7 @@
     ${QTERM_RCC}
     ${APPLE_BUNDLE_SOURCES}
     ${QTERM_QM}
+    ${DESKTOP_FILES}
 )
 
 target_link_libraries(${EXE_NAME}
@@ -208,8 +218,7 @@
 
 
 install(FILES
-    qterminal.desktop
-    qterminal_drop.desktop
+    ${DESKTOP_FILES}
     DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
 )

=== debian/changelog ===
qterminal (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use lxqt-build-tools 0.9.0
    - Use libqtermwidget5-0-dev 0.17.0
    - Extend qterminal-l10n package description
  * Update debian/qterminal.install
  * Update debian/patches/appdata.patch
    - Refresh patch
    - Add Forwarded: not needed
    - Add Lubuntu Developers as author
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Tue, 17 Aug 2021 10:57:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               libqtermwidget5-0-dev (>= 0.16.1~),
+               libqtermwidget5-0-dev (>= 0.17.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.8.0~)
-Standards-Version: 4.5.0
+               lxqt-build-tools (>= 0.9.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/qterminal/
 Vcs-Git: https://phab.lubuntu.me/source/qterminal.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
@@ -41,4 +41,6 @@
 Breaks: qterminal (<< 0.6.1)
 Replaces: qterminal (<< 0.6.1)
 Description: Language package for qterminal
+ The l10n files for qterminal.
+ .
  This package contains the l10n files needed by qterminal.
